Subject: Re: tasting deadly amanitas -- safe?

From: Roy W. Taylor <[email-masked]>
Date: 14 Mar 1996 04:46:49 GMT

Dave Lewicki <[email-masked]> writes:

> Enquiring minds want to know.......

Dave, perhaps you go by the philosphy of the rejoinder to "curiosity
killed the cat" - that "satisfaction brought it back".

I have a crop of A. Phalloides in my front yard in the late fall time
frame, and you're welcome to any/all of them that you'd like. I did
taste A. Velosa when I lived in California, but it isn't around here
to do a side-by-side taste test, even if I wanted to.

I am less curious, and will say that I have other convincing ways to
distinguish the two that are sufficient to drag me away from a wedge
of death cap between the teeth (or 'just a pinch between my cheek and
gums').

I'm not an Amanitaphobe, but although I find A. Rubescens and A.
Vaginata to be so common as to be underfoot here, I only nosh
A. Caesarea in this area. In summary, you tell me if you survive...

Good luck, Roy